package com.muyu.common.cache.decoration;

/**
 * @author DongZl
 * @description: 装饰Key
 * @Date 2024-3-29 下午 03:19
 */
public interface DecorationKey <K>{

    /**
     * key前缀
     * @return key前缀
     */
    public String keyPre();


    /**
     * 编码
     * @param key ID
     * @return 键
     */
    public String encode(K key);

    /**
     * 解码
     * @param redisKey 数据库键
     * @return ID
     */
    public K decode(String redisKey);
}
